%==========================================================================
function p100 = SALMON_ext_probs_fast(PVAf,beta_temp,objective);
%==========================================================================


temp  = PVAf(find(PVAf(:,1)==1 & PVAf(:,2)<beta_temp(1)),:);
bM_lo = temp(end,2); pM_lo = temp(end,5);
temp  = PVAf(find(PVAf(:,1)==1 & PVAf(:,2)>beta_temp(1)),:);
bM_hi = temp(1,2); pM_hi = temp(1,5);
pM    = pM_lo + (pM_hi-pM_lo)*(beta_temp(1)-bM_lo)/(bM_hi-bM_lo);

temp  = PVAf(find(PVAf(:,1)==2 & PVAf(:,2)<beta_temp(2)),:);
bE_lo = temp(end,2); pE_lo = temp(end,5);
temp  = PVAf(find(PVAf(:,1)==2 & PVAf(:,2)>beta_temp(2)),:);
bE_hi = temp(1,2); pE_hi = temp(1,5);
pE    = pE_lo + (pE_hi-pE_lo)*(beta_temp(2)-bE_lo)/(bE_hi-bE_lo);

temp  = PVAf(find(PVAf(:,1)==3 & PVAf(:,2)<beta_temp(3)),:);
bW_lo = temp(end,2); pW_lo = temp(end,5);
temp  = PVAf(find(PVAf(:,1)==3 & PVAf(:,2)>beta_temp(3)),:);
bW_hi = temp(1,2); pW_hi = temp(1,5);
pW    = pW_lo + (pW_hi-pW_lo)*(beta_temp(3)-bW_lo)/(bW_hi-bW_lo);

if objective == 1;
    p100  = pM*pE*pW;
elseif objective == 2;
    p100 = 1-(1-pM)*(1-pE)*(1-pW);
end;

