%==========================================================================
% SALMON_raw_graph.m
%==========================================================================

close all;
figure('Position',[160 160 700 500]);
    axes('FontName','Times New Roman','FontSize',12);
    plot(SalmonRawData(:,1),SalmonRawData(:,2),':+','Color','Black','LineWidth',1);
    hold on;
    plot(SalmonRawData(:,1),SalmonRawData(:,3),':s','Color','Black','LineWidth',1);
    plot(SalmonRawData(:,1),SalmonRawData(:,4),':o','Color','Black','LineWidth',1);
    hold off;
    axis([min(SalmonRawData(:,1)) max(SalmonRawData(:,1)-5) 0 max(max(SalmonRawData(1:end-1,2:4)))*1.1]);
    xlabel('\ityear');
    ylabel('\itgross spawners');
    legend('Methow','Entiat','Wenatchee');
pause;
close all;