%==========================================================================
% SALMON_wild_graph.m
%==========================================================================

close all;
figure('Position',[160 160 700 500]);
    axes('FontName','Times New Roman','FontSize',12);
    plot(SalmonWildData(:,1),SalmonWildData(:,2),':+','Color','Black','LineWidth',1);
    hold on;
    plot(SalmonWildData(:,1),SalmonWildData(:,3),':s','Color','Black','LineWidth',1);
    plot(SalmonWildData(:,1),SalmonWildData(:,4),':o','Color','Black','LineWidth',1);
    hold off;
    axis([min(SalmonWildData(:,1)) max(SalmonWildData(:,1)) 0 max(max(SalmonWildData(1:end-1,2:4)))*1.1]);
    xlabel('\ityear');
    ylabel('\itwild spawners');
    legend('Methow','Entiat','Wenatchee');
pause;
close all;